import 'package:flutter/material.dart';

import 'package:syncrow_web/pages/access_management/booking_system/view/widgets/icon_text_button.dart';
import 'package:syncrow_web/utils/constants/assets.dart';

class BookingPage extends StatelessWidget {
  final PageController pageController;
  const BookingPage({
    super.key,
    required this.pageController,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(
        children: [
          Expanded(
              child: Container(
            color: Colors.blueGrey[100],
            child: const Center(
              child: Text(
                'Side bar',
                style: TextStyle(fontSize: 24, fontWeight: FontWeight.bold),
              ),
            ),
          )),
          Expanded(
              flex: 4,
              child: Padding(
                padding: const EdgeInsets.all(20.0),
                child: SizedBox(
                  child: Column(
                    children: [
                      Row(
                        mainAxisAlignment: MainAxisAlignment.start,
                        children: [
                          SvgTextButton(
                              svgAsset: Assets.homeIcon,
                              label: 'Manage Bookable Spaces',
                              onPressed: () {
                                pageController.jumpToPage(2);
                              }),
                          const SizedBox(width: 20),
                          SvgTextButton(
                              svgAsset: Assets.groupIcon,
                              label: 'Manage Users',
                              onPressed: () {})
                        ],
                      )
                    ],
                  ),
                ),
              ))
        ],
      ),
    );
  }
}
